## Abstract

Abstract classes are used as base classes. You cannot create an instance of an abstract class directly - you need to subclass it. In the subclass, you need to overload all of the class's pure virtual methods. These are marked as "pure virtual" in these docs, and are also indicated by a " = 0" at the end of the method declaration.

If your subclass doesn't overload the pure virtual methods in the abstract base class, you won't be able to create an instance of it.

## pure virtual

Pure virtual methods are members of an abstract class (they're what makes the class abstract in the first place). Pure virtual methods are nothing more than place holders - there is no code associated with them

## variables

Class variables can be read and written from Python. Global or static variables are read only. Variables that are "protected" or. "private" in C++ are not implemented.

## slots

When using Qt or KDE in C++, methods involving connections to slots take 2 arguments: a QObject 'receiver' and a char* 'slot' name. In Python you only need to provide a single value - the name of a Python callable method or function which will be connected to a signal. The method or function does not need to be in the class where it is reference, and does not have to be in a class at all. There are other options - see the "Signals and Slots" documentation for more information.